import java.util.*;

public class PaulTooMany {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();
		for (int i = 1; i < n; i += 2) {
			System.out.format("? %d %d\n", i, i+1);
			System.out.flush();
			String s = sc.next();
			if (!s.equals("equal")) {
				int j = i == 1 ? 3 : 1;
				System.out.format("? %d %d\n", i, j);
				System.out.flush();
				int k = sc.next().equals("equal") ? i+1 : i;
				System.out.format("! %d\n", k);
				return;
			}
		}
		System.out.format("! %d\n", n);
	}
}
